export const autumn = {
    clearings: [
        {
            suit: "fox",
            buildingSlotCount: 1,
            x: 10,
            y: 10,
        },
        {
            suit: "mouse",
            buildingSlotCount: 2,
            x: 80,
            y: 20,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 1,
            x: 70,
            y: 85,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 1,
            x: 10,
            y: 80,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 2,
            x: 50,
            y: 10,
        },
        {
            suit: "fox",
            buildingSlotCount: 2,
            x: 80,
            y: 50,
        },
        {
            suit: "mouse",
            buildingSlotCount: 2,
            x: 50,
            y: 80,
        },
        {
            suit: "fox",
            buildingSlotCount: 2,
            x: 30,
            y: 90,
        },
        {
            suit: "mouse",
            buildingSlotCount: 2,
            x: 10,
            y: 40,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 2,
            x: 40,
            y: 35,
        },
        {
            suit: "mouse",
            buildingSlotCount: 3,
            x: 60,
            y: 50,
        },
        {
            suit: "fox",
            buildingSlotCount: 2,
            x: 30,
            y: 55,
        },
    ],
    forests: [
        {forest: [1, 2, 5, 10], x: 45, y: 21},
        {forest: [1, 9, 10, 12], x: 24, y: 30},
        {forest: [2, 6, 10, 11, 12], x: 65, y: 32},
        {forest: [3, 6, 11], x: 70, y: 58},
        {forest: [3, 7, 11, 12], x: 55, y: 62},
        {forest: [4, 7, 8, 12], x: 30, y: 69},
        {forest: [4, 9, 12], x: 17, y: 57},
    ],
    paths: [
        [1, 5], [1, 9], [1, 10],
        [2, 5], [2, 6], [2, 10],
        [3, 6], [3, 7], [3, 11],
        [4, 8], [4, 9], [4, 12],
        [6, 11], [7, 8], [7, 12],
        [9, 12], [10, 12], [11, 12],
    ],
    rivers: [[5, 10], [4, 7], [7, 11], [10, 11]],
    lakes: [],
};

export const winter = {
    clearings: [
        {
            suit: "fox",
            buildingSlotCount: 1,
            x: 10,
            y: 10,
        },
        {
            suit: "mouse",
            buildingSlotCount: 1,
            x: 80,
            y: 20,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 2,
            x: 80,
            y: 85,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 2,
            x: 10,
            y: 85,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 2,
            x: 35,
            y: 15,
        },
        {
            suit: "fox",
            buildingSlotCount: 2,
            x: 60,
            y: 20,
        },
        {
            suit: "mouse",
            buildingSlotCount: 1,
            x: 85,
            y: 50,
        },
        {
            suit: "fox",
            buildingSlotCount: 2,
            x: 60,
            y: 90,
        },
        {
            suit: "mouse",
            buildingSlotCount: 2,
            x: 35,
            y: 90,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 1,
            x: 10,
            y: 50,
        },
        {
            suit: "mouse",
            buildingSlotCount: 3,
            x: 35,
            y: 55,
        },
        {
            suit: "fox",
            buildingSlotCount: 3,
            x: 60,
            y: 55,
        },
    ],
    forests: [
        {forest: [1, 2, 5, 6, 11, 12], x: 48, y: 33},
        {forest: [1, 10, 11], x: 17, y: 35},
        {forest: [2, 7, 12], x: 77, y: 38},
        {forest: [3, 7, 12], x: 76, y: 62},
        {forest: [3, 8, 12], x: 66, y: 73},
        {forest: [8, 9, 11, 12], x: 48, y: 70},
        {forest: [4, 9, 11], x: 28, y: 73},
        {forest: [4, 10, 11], x: 20, y: 62},
    ],
    paths: [
        [1, 5], [1, 10], [1, 11],
        [2, 6], [2, 7], [2, 12],
        [3, 7], [3, 8], [3, 12],
        [4, 9], [4, 10], [4, 11],
        [5, 6], [8, 9], [8, 12],
        [9, 11],
    ],
    rivers: [[10, 11], [11, 12], [12, 7]],
    lakes: [],
};

export const lake = {
    clearings: [
        {
            suit: "fox",
            buildingSlotCount: 2,
            x: 85,
            y: 85,
        },
        {
            suit: "fox",
            buildingSlotCount: 1,
            x: 12,
            y: 12,
        },
        {
            suit: "mouse",
            buildingSlotCount: 1,
            x: 10,
            y: 85,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 1,
            x: 90,
            y: 20,
        },
        {
            suit: "mouse",
            buildingSlotCount: 3,
            x: 85,
            y: 50,
        },
        {
            suit: "fox",
            buildingSlotCount: 2,
            x: 60,
            y: 17,
        },
        {
            suit: "mouse",
            buildingSlotCount: 1,
            x: 35,
            y: 10,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 1,
            x: 10,
            y: 45,
        },
        {
            suit: "fox",
            buildingSlotCount: 1,
            x: 45,
            y: 90,
        },
        {
            suit: "mouse",
            buildingSlotCount: 3,
            x: 30,
            y: 35,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 3,
            x: 57,
            y: 45,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 3,
            x: 30,
            y: 60,
        },
    ],
    forests: [
        {forest: [1, 5, 11], x: 77, y: 59},
        {forest: [1, 9, 12], x: 55, y: 77},
        {forest: [2, 7, 10], x: 25, y: 15},
        {forest: [2, 8, 10], x: 17, y: 28},
        {forest: [3, 8, 10, 12], x: 18, y: 55},
        {forest: [3, 9, 12], x: 30, y: 75},
        {forest: [4, 5, 6, 11], x: 75, y: 30},
        {forest: [6, 7, 11], x: 52, y: 24},
        {forest: [7, 10, 11], x: 41, y: 29},
    ],
    paths: [
        [1, 5], [1, 9],
        [2, 7], [2, 8], [2, 10],
        [3, 8], [3, 9], [3, 12],
        [4, 6], [4, 5],
        [5, 11],
        [6, 11], [6, 7],
        [7, 11], [7, 10],
        [8, 10],
        [9, 12],
    ],
    rivers: [],
    lakes: [[1, 11, 10, 12]],
};

export const mountain = {
    clearings: [
        {
            suit: "fox",
            buildingSlotCount: 2,
            x: 10,
            y: 10,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 2,
            x: 90,
            y: 10,
        },
        {
            suit: "fox",
            buildingSlotCount: 2,
            x: 90,
            y: 90,
        },
        {
            suit: "mouse",
            buildingSlotCount: 2,
            x: 10,
            y: 90,
        },
        {
            suit: "mouse",
            buildingSlotCount: 1,
            x: 60,
            y: 10,
        },
        {
            suit: "mouse",
            buildingSlotCount: 1,
            x: 90,
            y: 50,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 1,
            x: 60,
            y: 90,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 1,
            x: 10,
            y: 50,
        },
        {
            suit: "rabbit",
            buildingSlotCount: 3,
            x: 30,
            y: 30,
        },
        {
            suit: "fox",
            buildingSlotCount: 2,
            x: 45,
            y: 45,
        },
        {
            suit: "mouse",
            buildingSlotCount: 3,
            x: 60,
            y: 60,
        },
        {
            suit: "fox",
            buildingSlotCount: 3,
            x: 30,
            y: 80,
        },
    ],
    forests: [
        {forest: [1, 9, 8], x: 17, y: 28},
        {forest: [2, 5, 11], x: 68, y: 25},
        {forest: [2, 6, 11], x: 82, y: 36},
        {forest: [3, 6, 11], x: 78, y: 64},
        {forest: [3, 7, 11, 12], x: 60, y: 72},
        {forest: [4, 8, 9, 12], x: 20, y: 60},
        {forest: [5, 9, 10], x: 43, y: 28},
        {forest: [5, 10, 11], x: 54, y: 38},
        {forest: [9, 10, 12], x: 36, y: 47},
        {forest: [10, 11, 12], x: 47, y: 57},
    ],
    paths: [
        [1, 8], [1, 9],
        [2, 5], [2, 6], [2, 11],
        [3, 6], [3, 7], [3, 11],
        [4, 8], [4, 12],
        [5, 9], [5, 10], [5, 11],
        [6, 11],
        [7, 12],
        [8, 9],
        [9, 10], [9, 12],
        [10, 11], [10, 12],
        [11, 12],
    ],
    rivers: [[4, 10], [10, 2]],
    lakes: [],
};

const maps: any = { autumn, winter, lake, mountain };

export default maps;
